import Vue from 'vue';
import { library } from '@fortawesome/fontawesome-svg-core';
import {
  faAdjust,
  faArrowRight,
  faBan,
  faCheck,
  faChevronDown,
  faChevronLeft,
  faChevronRight,
  faColumns,
  faCopy,
  faCropAlt,
  faDownload,
  faEdit,
  faEllipsisH,
  faEnvelope,
  faExpand,
  faExpandArrowsAlt,
  faExternalLinkAlt,
  faEye,
  faEyeSlash,
  faGlobe,
  faIndent,
  faInfoCircle,
  faLink,
  faOutdent,
  faPencilAlt,
  faPlus,
  faQuestionCircle,
  faSearch,
  faSearchPlus,
  faSearchMinus,
  faSpinner,
  faStar,
  faSyncAlt,
  faTerminal,
  faThumbtack,
  faTimes,
  faUpload,
} from '@fortawesome/free-solid-svg-icons';
import { FontAwesomeIcon, FontAwesomeLayers } from '@fortawesome/vue-fontawesome';

import { faMinusSquare, faPlusSquare } from '@fortawesome/free-regular-svg-icons';

library.add(
  faAdjust,
  faArrowRight,
  faBan,
  faCheck,
  faChevronDown,
  faChevronLeft,
  faChevronRight,
  faColumns,
  faCopy,
  faCropAlt,
  faDownload,
  faEdit,
  faEllipsisH,
  faEnvelope,
  faExpand,
  faExpandArrowsAlt,
  faExternalLinkAlt,
  faEye,
  faEyeSlash,
  faGlobe,
  faInfoCircle,
  faIndent,
  faLink,
  faMinusSquare,
  faOutdent,
  faPencilAlt,
  faPlus,
  faPlusSquare,
  faQuestionCircle,
  faSearch,
  faSearchPlus,
  faSearchMinus,
  faSpinner,
  faStar,
  faSyncAlt,
  faTerminal,
  faThumbtack,
  faTimes,
  faUpload,
);
Vue.component('FontAwesomeIcon', FontAwesomeIcon);
Vue.component('FontAwesomeLayers', FontAwesomeLayers);
